import {
    FormsModule,
    ReactiveFormsModule,
} from '@angular/forms';

import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {NgxNeditorModule} from '@notadd/ngx-neditor';

// 管道
import {
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    CouponStatusPipe,
    CouponCodePipe,
    AuditTypePipe,
    AuditStatusPipe
} from './pipes';
import { OrderCouponStatusPipe } from './pipes/order/order-coupon-status.pipe';

const PIPES = [
    TimesPipe,
    TextareaPipe,
    SystemPipe,
    CouponStatusPipe,
    CouponCodePipe,
    AuditTypePipe,
    AuditStatusPipe,
    OrderCouponStatusPipe,
];


@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        ReactiveFormsModule,
        NgZorroAntdModule,
        NgxNeditorModule
    ],
    declarations: [
        ...PIPES,
    ],

    exports: [
        ...PIPES,
    ],
})

export class AppCommonModule {
    static forRoot() {
        return {
            ngModule: AppCommonModule,
            providers: [],
        };
    }
}
